Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationAdhocUpload

    public interface ConfigurationAdhocUpload

This interface defines the methods to manage Adhoc upload configuration of server.

Since:
  V8.2

Field Summary
`static java.lang.String` | `IMG_TYPE_BMP` Property for Adhoc upload image type bmp.
`static java.lang.String` | `IMG_TYPE_GIF` Property for Adhoc upload image type gif.
`static java.lang.String` | `IMG_TYPE_JPG` Property for Adhoc upload image type jpg.
`static java.lang.String` | `IMG_TYPE_PNG` Property for Adhoc upload image type png.
`static java.lang.String` | `IMG_TYPE_TIF` Property for Adhoc upload image type tif.

Method Summary
`java.lang.String[]` | `getUploadEnableFileTypes()` Gets the file types of upload enabled.
`int` | `getUploadUpperSize()` Gets the upper size of upload file.
`boolean` | `isUploadEnable(java.lang.String fileType)` Gets if upload is enabled.
`void` | `setUploadEnable(java.lang.String fileType, boolean isEnable)` Sets if upload is enabled.
`void` | `setUploadUpperSize(int upperSize)` Sets the upper size of upload file.

Field Detail

### IMG_TYPE_JPG

    static final java.lang.String IMG_TYPE_JPG

  Property for Adhoc upload image type jpg.

  See Also:
    Constant Field Values

### IMG_TYPE_BMP

    static final java.lang.String IMG_TYPE_BMP

  Property for Adhoc upload image type bmp.

  See Also:
    Constant Field Values

### IMG_TYPE_GIF

    static final java.lang.String IMG_TYPE_GIF

  Property for Adhoc upload image type gif.

  See Also:
    Constant Field Values

### IMG_TYPE_TIF

    static final java.lang.String IMG_TYPE_TIF

  Property for Adhoc upload image type tif.

  See Also:
    Constant Field Values

### IMG_TYPE_PNG

    static final java.lang.String IMG_TYPE_PNG

  Property for Adhoc upload image type png.

  See Also:
    Constant Field Values

Method Detail

### isUploadEnable

    boolean isUploadEnable(java.lang.String fileType)

  Gets if upload is enabled.

  Parameters:
    `fileType` - the file type, can be one of the following:
    `IMG_TYPE_JPG`, `IMG_TYPE_BMP`, `IMG_TYPE_GIF`, `IMG_TYPE_TIF`, `IMG_TYPE_PNG`, etc.
  Returns:
    if upload is enabled.

### setUploadEnable

    void setUploadEnable(java.lang.String fileType,
                         boolean isEnable)

  Sets if upload is enabled.

  Parameters:
    `fileType` - the file type, can be one of the following:
    `IMG_TYPE_JPG`, `IMG_TYPE_BMP`, `IMG_TYPE_GIF`, `IMG_TYPE_TIF`, `IMG_TYPE_PNG`, etc.
    `isEnable` - if upload is enabled.

### getUploadEnableFileTypes

    java.lang.String[] getUploadEnableFileTypes()

  Gets the file types of upload enabled.

  Returns:
    array of file types.

### setUploadUpperSize

    void setUploadUpperSize(int upperSize)

  Sets the upper size of upload file.

  Parameters:
    `upperSize` - the upper size(MB).

### getUploadUpperSize

    int getUploadUpperSize()

  Gets the upper size of upload file.

  Returns:
    the upper size(MB).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD